//+------------------------------------------------------------------+
//|                                                        2_RSI.mq4 |
//|                                                     Yuriy Tokman |
//|                                            yuriytokman@gmail.com |
//+------------------------------------------------------------------+
#property copyright "Yuriy Tokman"
#property link      "yuriytokman@gmail.com"

#property indicator_separate_window

#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Red

extern string ____1__ = " ";
extern int timeframe_1 = 0;
extern int period_1 = 24;
extern int applied_price_1 = 0;//0-6 

extern string ____2__ = " ";
extern int timeframe_2 = 60;
extern int period_2 = 24;
extern int applied_price_2 = 0;//0-6 

double ExtMapBuffer0[];
double ExtMapBuffer1[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_LINE,EMPTY,1);
   SetIndexBuffer(0,ExtMapBuffer0);
   
   SetIndexStyle(1,DRAW_LINE,EMPTY,1);
   SetIndexBuffer(1,ExtMapBuffer1);
   
   IndicatorShortName("2_RSI ("+timeframe_2+")");
   
   SetIndexLabel(0," ISQ#481971287  ");
   SetIndexLabel(1," yuriytokman@gmail.com  ");   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
   
   if(counted_bars<0) return(-1);

   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;

   for(int i=limit; i>=0; i--)
   {
    ExtMapBuffer0[i]=iRSI(NULL,timeframe_1,period_1,applied_price_1,i);
    ExtMapBuffer1[i]=iRSI(NULL,timeframe_2,period_2,applied_price_2,i);
   }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+